package com.saye.hrs.mapper;

import org.apache.ibatis.annotations.Param;
import java.util.HashMap;
import java.util.List;

/**
 * (Doctor)表数据库访问层
 *
 * @author makejava
 * @since 2021-09-16 15:17:12
 */
public interface DoctorMapper {

    HashMap<Object,Object> findDoctorById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findDoctorList(HashMap<Object,Object> map);

    int insertDoctor(HashMap<Object,Object> map);

    int updateDoctor(HashMap<Object,Object> map);
    
    int deleteDoctorById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findDoctorSchedualList(HashMap<Object, Object> map);
}

